from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XIndexAccess

@runtime_checkable
class XShapes(XIndexAccess, Protocol):
    def add(self, xShape: XShape) -> None: ...
    def remove(self, xShape: XShape) -> None: ...
